/* Fitxer: pais1.h
   Descripci: Definici del tipus de dada "pais" i declaraci de les funcions
               per gestionar-lo.
   Autor: Isidre Guix
*/

#ifndef __PAIS__H__
#define __PAIS__H__

struct t_pais
{
	unsigned int codPais;
	char nomPais[30];
};

void pantallaPais (void);
/* Disseny de pantalla que situa els ttols dels camps de pas.
   Es pot utilitzar per efectuar la lectura dels valors pel teclat 
   i la visualitzaci per pantalla */

void inputCodPais (struct t_pais *);
/* Erectua la lectura del codi d'un pas en coordenades coherents amb les de 
   pantallaPais()
*/

void inputInfPais (struct t_pais *);
/* Efectua la lectura de la informaci d'un pas que no es correspon amb el codi
   (actualment noms en nom) en coordenades coherents amb les de pantallaPais()
*/

void outputPaisFor (struct t_pais);
/* Mostra la informaci d'un pas per la sortida estndard, en format formulari, 
   en coordenades coherents amb les de pantallaPais()
*/
	
void outputPaisTab (unsigned char fil, struct t_pais p);
/* Mostra la informaci d'un pas per la sortida estndard, en format tabular, 
   a la fila que indica l'argument "fil"
*/

#endif
