/* Fitxer: verscomp-t.h per a Turbo C++

	Descripci: Fitxer per a contenir els prototipus de les funcions que ens
					permeten compatibilitzar el material dels exercicis entre
					diferents plataformes

	Autor: Isidre Guix

	Conv tenir-ne una cpia amb nom verscomp.h en el directori de treball
*/

#ifndef __VERSCOMP__H__

#define __VERSCOMP__H__

void neteja_stdin(void);

void forcefloat (float *p);
/* Per a solucionar error "floating point formats not linked"
	que les plataformes Turbo C tenen
*/

int existeix_fitxer(const char *nom);
/* Comprova si existeix el fitxer de nom indicat en l'argument.
	Retorna:   0: Hi s
			   -1: No hi s
*/

#endif