/* Programa: u6n2p02.c
	Descripci: Programa per llistar per pantalla el contingut del fitxer
					PERSONES.BTR per les diferents claus d'accs
	Autor: Isidre Guix
*/

#include <string.h>
#include <conio.h>
#include <stdio.h>
#include <stdlib.h>

#include "turcbtrv.c"

#include "verscomp.h"
#include "generic2.h"
#include "persona2.h"

char fcl[128];
int lper;
struct t_persona rper;
char clau0[10];
struct t_clau1 { char c1[21], c2[21], n[16]; } clau1;
struct t_data clau2;
char nom[]="PERSONES.BTR";

void centrar(char *s, int fil, int col, int l)
{
	char cadena[80];
	int k;
	if (l>79) l=79;
	k=strlen(s);
	cadena[0]='\0';
	while (strlen(cadena)<(l-k)/2) strcat(cadena," ");
	strcat(cadena,s);
	while (strlen(cadena)<l) strcat(cadena," ");
	gotoxy(col,fil);cputs(cadena);
}

void titol(char *s)
{
	window(1,1,80,4);textattr(27);clrscr();
	centrar(s,1,1,79);
}

char pantalla_menu()
{
	char cOpcio;
	window(1,1,80,25);textattr(15);clrscr();
	gotoxy( 19, 5 );
	cputs( "Ŀ" );
	gotoxy( 19, 6 );
	cputs( "                                           " );
	gotoxy( 19, 7 );
	cputs( "     LLISTATS DE PERSONES PER PANTALLA     " );
	gotoxy( 19, 8 );
	cputs( "Ĵ" );
	gotoxy( 19, 9 );
	cputs( "                                           " );
	gotoxy( 19, 10 );
	cputs( "  1. Classificats per NIF                  " );
	gotoxy( 19, 11 );
	cputs( "  2. Classificats per COGNOMS-NOM          " );
	gotoxy( 19, 12 );
	cputs( "  3. Classificats per DATA DE NAIXEMENT    " );
	gotoxy( 19, 13 );
	cputs( "  0. Sortir                                " );
	gotoxy( 19, 14 );
	cputs( "                                           " );
	gotoxy( 19, 15 );
	cputs( "     Premi Opci:                          " );
	gotoxy( 19, 16 );
	cputs( "" );
	do
	{
	gotoxy( 38, 15 );cOpcio=getche();
	} while (cOpcio<'0' || cOpcio>'3');
	return cOpcio;
}

void obrir_fitxer()
{
	int error;

	error=BTRV(0,fcl,&rper,&lper,nom,0);
	if (error)
	{
		char s[80];
		sprintf(s,"Error %d en obrir l'arxiu %s. ",error,nom);
		missatge_ae(s);
		exit(1);
	}
}

void tancar_fitxer()
{
	int error;
	error=BTRV(1,fcl);
	if (error)
	{
		char s[80];
		sprintf(s,"Error %d en tancar l'arxiu %s. ",error,nom);
		missatge_ae(s);
		exit(1);
	}
}

void main()
{
	int error,lin;
	char cOpcio;
	clrscr();
	obrir_fitxer();
	lper=sizeof(rper);
	while ((cOpcio=pantalla_menu())!='0')
	{
		void *clau;
		char s[80];
		int nClau;
		clrscr();
		switch (cOpcio)
		{
			case '1': nClau=0; clau=clau0;
						 strcpy(s,"LLISTAT PERSONES CLASSIFICADES PER NIF - ASCENDENTMENT");break;
			case '2': nClau=1; clau=&clau1;
						 strcpy(s,"LLISTAT PERSONES CLASSIFICADES PER COGNOMS-NOM - ASCENDENTMENT");break;
			case '3': nClau=2; clau=&clau2;
						 strcpy(s,"LLISTAT PERSONES CLASSIFICATS PER DATA NAIXEMENT - DESCENDENTMENT");break;
		}
		titol(s);
		gotoxy(1,3); cputs("NIF       COGNOM 1             COGNOM 2             NOM            D.NAIXEMENT  ");
		gotoxy(1,4); cputs("");
		lin=1; window(1,5,80,24); textattr(15); clrscr();
		error=BTRV(12,fcl,&rper,&lper,clau,nClau);
		while (!error)
		{
			if (lin==21)
			{
				window(1,1,80,25); missatge_ae("");
				lin=1; window(1,5,80,24); textattr(15); clrscr();
			}
			outputPersonaTab(lin,rper);
			error=BTRV(6,fcl,&rper,&lper,clau,nClau);
			lin++;
		}
		window(1,1,80,25);
		if (error!=9)
		{
			char s[80];
			sprintf(s,"Error %d en consultar el fitxer %s  ",error,nom);
			missatge_ae(s);
		}
		else
		{
			char s[80];
			sprintf(s,"Final dels registres al fitxer %s   ",nom);
			missatge_ae(s);
		}
	}
	tancar_fitxer();
	clrscr();
}
